----- Original Message ----- From: "Paul Winkler" <[EMAIL PROTECTED]>
To: <zope@zope.org>
Sent: Wednesday, September 13, 2006 10:33 AM
Subject: Re: [Zope] Problem with upgrade from Zope 2.6.1 to Zope 2.9.4

On Wed, Sep 13, 2006 at 12:54:09AM -0700, yogeen honnavar wrote:
hello AJ,
         thanks for ur response. now i hv another
   the problem is the older applicaiton which we hv in
zope 2.6.1 uses a function ZopeTime. after migrating
to Zope2.9.4 by moving the Data.fs file. it is found
that the application reports error KeyError for
ZopeTime. can u pls suggest whats wrong ? is ZopeTime
available in 2.9.4. if we change it to "_.DateTime"
its working. but we hv it in many places and we dont
wish to change the code. pls suggest a solution.
   the problematic code is as follows

<dtml-var ZopeTime fmt="ISO">

I created a new dtml method in a zope 2.9.1 instance.
I copied and pasted your problematic code.
Works fine here.

I tried a dtml method in zope 2.9.2 containing:

<dtml-var standard_html_header>
<dtml-var ZopeTime fmt="ISO">
<dtml-var standard_html_footer>

and it worked fine (i tried it as both an authenticated user and an anonymous user, and it worked in both cases)

Maybe you should post the traceback from your error...


Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to